dots.v2.genAi.oauth2.dropbox.tokens.post()

Generated on 27 Oct 2026 from DoTs version v1.21.0

Usage

client.v2.genAi.oauth2.dropbox.tokens.post(body: ApiDropboxOauth2GetTokensInput, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ApiDropboxOauth2GetTokensOutput>

Description

To obtain the refresh token, needed for creation of data sources, send a GET request to /v2/gen-ai/oauth2/dropbox/tokens. Pass the code you obtrained from the oauth flow in the field ‘code’

Parameters

code string optional

Example: example string

The oauth2 code from google

redirectUrl string optional

Example: example string

Redirect url

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.genAi.oauth2.dropbox.tokens.post({
    code: "example string",
    redirectUrl: "example string",
});

Response Example

Show Response Example
{
  "refresh_token": "example string",
  "token": "example string"
}

More Information

See /v2/gen-ai/oauth2/dropbox/tokens in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.